try {
	var jsVersion = '1.0.6';
	var save_path = '/淘片儿/';
	var jump_path = 'http://pan.baidu.com/wap/home?clienttype=5&apiVersion=1.0.0&dir=' + encodeURIComponent(save_path) + '&page=1';
	var vcode_dic = new Array();
	var ucode_dic = new Array();
	var count = 0;

	function save_usercode(magnet_link, ucode) {
		ucode_dic[magnet_link] = ucode
	};

	function pop_vcodeAnducode(magnet_link) {
		vcode_dic.remove(magnet_link);
		ucode_dic.remove(magnet_link)
	};

	function MagnetObj(amagnet_link) {
		this.magnet_link = amagnet_link;
		this.query_magnet = function() {
			var b_this = this;
			if (typeof jQuery == 'undefined') {
				this.send_fail(b_this, 'jqueryerror', 88888, 'jquery没有准备好');
				return
			}
			$.ajax({
				url: 'https://pan.baidu.com/rest/2.0/services/cloud_dl',
				type: 'POST',
				dataType: 'json',
				timeout: 10000,
				data: {
					'method': 'query_magnetinfo',
					'source_url': b_this.magnet_link
				}
			}).error(function(jqXHR, textStatus, errorThrown) {
				b_this.send_fail(b_this, 'querymagnet', -1, textStatus)
			}).done(function(data, textStatus, jqXHR) {
				b_this.add_magnet_task(b_this)
			}).fail(function(jqXHR, textStatus, errorThrown) {
				if (b_this.is_networknormal) {
					var errData = JSON.parse(jqXHR.responseText);
					if (errData.error_code == 36032) {
						b_this.send_fail(b_this, 'querymagnet', errData.error_code, '被封印的禁片')
					} else if (errData.error_code == 36028) {
						b_this.send_fail(b_this, 'querymagnet', errData.error_code, '无法解析')
					} else if (errData.error_code == 36004) {
						b_this.send_fail(b_this, 'querymagnet', errData.error_code, '不被许可，多数是没有登录')
					} else {
						b_this.send_fail(b_this, 'querymagnet', errData.error_code, errData.error_msg)
					}
				}
			}).always(function(jqXHR, textStatus, errorThrown) {})
		};
		this.add_magnet_task = function(b_this) {
			$.ajax({
				url: 'https://pan.baidu.com/rest/2.0/services/cloud_dl',
				type: 'POST',
				dataType: 'json',
				timeout: 10000,
				data: {
					'method': 'add_task',
					'save_path': save_path,
					'source_url': b_this.magnet_link,
					'web': 0,
					'app_id': '250528',
					'vcode': vcode_dic[b_this.magnet_link],
					'input': ucode_dic[b_this.magnet_link]
				},
			}).error(function(jqXHR, textStatus, errorThrown) {
				b_this.send_fail(b_this, 'addtask', -1, textStatus)
			}).done(function(data, textStatus, jqXHR) {
				b_this.query_task(b_this, data.task_id)
			}).fail(function(jqXHR, textStatus, errorThrown) {
				if (b_this.is_networknormal) {
					var errData = JSON.parse(jqXHR.responseText);
					if (errData.error_code == -19 && errData.img && errData.vcode) {
						b_this.send_needverifycode(b_this, errData.img, errData.vcode)
					} else if (errData.error_code == 36000) {
						b_this.send_fail(b_this, 'addtask', errData.error_code, '被封印的禁片', '链接已屏蔽，选择其他链接添加')
					} else if (errData.error_code == 36022) {
						b_this.send_fail(b_this, 'addtask', errData.error_code, '超出最大的并发数');
						b_this.list_task(b_this)
					} else if (errData.error_code == 36009) {
						b_this.send_fail(b_this, 'addtask', errData.error_code, '超出最大配额', '云盘空间不足，清理后重试')
					} else if (errData.error_code == 36023) {
						b_this.send_fail(b_this, 'addtask', errData.error_code, '本月的离线次数用光', '超出本月使用上限，暂不可用')
					} else {
						b_this.send_fail(b_this, 'addtask', errData.error_code, errData.error_msg)
					}
				}
			}).always(function(jqXHR, textStatus, errorThrown) {});
			pop_vcodeAnducode(b_this.magnet_link)
		};
		this.query_task = function(b_this, taskID) {
			$.ajax({
				url: 'https://pan.baidu.com/rest/2.0/services/cloud_dl',
				type: 'GET',
				dataType: 'json',
				timeout: 10000,
				data: {
					'task_ids': taskID,
					'method': 'query_task',
					'app_id': '250528'
				},
			}).error(function(jqXHR, textStatus, errorThrown) {
				b_this.send_fail(b_this, 'querytask', -1, textStatus)
			}).done(function(data, textStatus, jqXHR) {
				var task_info = data.task_info[taskID];
				var source_url = task_info.source_url;
				var result_code = task_info.result;
				if (result_code) {
					b_this.send_fail(b_this, 'querytask', 88888, '任务不存在')
				} else {
					if (task_info.finished_size > 0) {
						b_this.send_success(b_this)
					} else {
						b_this.send_fail(b_this, 'querytask', 88888, '任务未下载完成')
					}
					if (task_info.finished_size != task_info.file_size) {
						b_this.cancel_task(b_this, taskID)
					}
				}
			}).fail(function(jqXHR, textStatus, errorThrown) {
				if (b_this.is_networknormal) {
					var errData = JSON.parse(jqXHR.responseText);
					b_this.send_fail(b_this, 'querytask', errData.error_code, errData.error_msg)
				}
			}).always(function(textStatus, jqXHR, errorThrown) {})
		};
		this.list_task = function(b_this) {
			$.ajax({
				url: 'https://pan.baidu.com/rest/2.0/services/cloud_dl',
				type: 'GET',
				dataType: 'json',
				data: {
					'method': 'list_task',
					'status': 1,
					'app_id': '250528'
				},
			}).done(function(data, textStatus, jqXHR) {
				var task_infos = data.task_info;
				for (var idx in task_infos) {
					var task_info = task_infos[idx];
					if (task_info.save_path == save_path) {
						b_this.cancel_task(task_info.task_id)
					}
				}
			})
		};
		this.cancel_task = function(taskID) {
			$.ajax({
				url: 'https://pan.baidu.com/rest/2.0/services/cloud_dl',
				type: 'GET',
				dataType: 'json',
				data: {
					'task_id': taskID,
					'method': 'cancel_task',
					'app_id': '250528'
				},
			})
		};
		this.send_fail = function(b_this, action_type, err_code, err_desc, message) {
			if (typeof message == 'undefined') {
				message = '下载失败，点击链接重新添加'
			};
			var err_string = JSON.stringify({
				'action_type':action_type,
				'errorCode': err_code,
				'errorDescription': err_desc,
				'message': message,
				'source_url': b_this.magnet_link
			});
			//location.href = 'baiduvideomagnet://' + action_type + ':1/' + encodeURIComponent(err_string) + '?-_-' + (+new Date)
			JavaHost.onError(encodeURIComponent(err_string));
		};
		this.send_success = function(b_this) {
			var succ_string = JSON.stringify({
				'jump_path': encodeURIComponent(jump_path),
				'source_url': b_this.magnet_link
			});
			//location.href = 'baiduvideomagnet://' + 'querytask:0/' + encodeURIComponent(succ_string) + '?-_-' + (+new Date)
			JavaHost.onSuccess(encodeURIComponent(succ_string));
		};
		this.send_needverifycode = function(b_this, img, vcode) {
			vcode_dic[b_this.magnet_link] = vcode;
			var succ_string = JSON.stringify({
				'img': encodeURIComponent(img),
				'source_url': b_this.magnet_link
			});
			//location.href = 'baiduvideomagnet://' + 'needverifycode/' + encodeURIComponent(succ_string) + '?-_-' + (+new Date)
			JavaHost.needverifycode(encodeURIComponent(succ_string));
		};
		this.is_networknormal = function(b_this) {
			if (navigator.onLine) {
				return true
			} else {
				this.send_fail(this, 'networkerror', 88888, '设备未连接到网络');
				return false
			}
		};
		this.run = function() {
			if (this.is_networknormal(this)) {
				if (vcode_dic[this.magnet_link] && ucode_dic[this.magnet_link]) {
					this.add_magnet_task(this)
				} else {
					this.query_magnet()
				}
			}
		}
	};

	function main() {
		eval('var magnet_' + count + ' = new MagnetObj(magnet_link);magnet_' + count + '.run();count++;');
	};
	var loaded = true
} catch (e) {}